unit DeclarationTypes;

interface

uses
  System.Generics.Collections;

type
  PTableData = ^rTableData;
  rTableData = record
    Currencys: TList<Currency>;
    Dates: TList<TDate>;
    Integers: TList<Integer>;
    Others: TList<Variant>;
    Strings: TList<string>;
  end;

  TInteger = class
  strict private
    FValue: Integer;
  public
    constructor Create(AValue: Integer = 0);
  public
    property Value: Integer read FValue;
  end;

implementation

{ TInteger }

constructor TInteger.Create(AValue: Integer);
begin
  inherited Create;
  FValue := AValue;
end;

end.
